Skip to main content
GET
Get a time-punch

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
string
required

Unique identifier of the time-punch.

Response

OK

A clock-in or clock-out of an employee.

id
string

Unique identifier of the time-punch.

Example:

"93874"

type
string
Allowed value: "time-punch"
url
string<uri>
Example:

"https://example.ilucca.net/timmi-timesheet/api/time-punches/93874"

employee
object

The employee who clocked in or out.

resolvedTime
string<date-time>

The date and time when the employee clocked in or out, with the offset of the time zone of the employee's establishment. For a time-punch created with an API key, it is the clientWalledTime sent, resolved in that time zone.

Example:

"2026-10-22T08:04:23+02:00"

direction
enum<string>

Whether the time-punch is a clock-in (in) or a clock-out (out).

Available options:
in,
out
source
enum<string>

The system the time-punch came from:

  • integration: a punch clock integrated with an API key, such as your own.
  • desktop: Lucca virtual punch clock, from a web browser.
  • mobileApp: Lucca virtual punch clock, from the mobile app.
  • lucca: a Lucca punch clock.
Available options:
integration,
desktop,
mobileApp,
lucca
isManual
boolean

Whether the time-punch was entered by hand rather than produced by a punch clock.

isArchived
boolean

Whether the time-punch is archived. Archived time-punches are no longer taken into account to compute worked time.

createdAt
string<date-time>

Date and time the time-punch was created in Lucca, with offset.

Example:

"2026-10-22T06:04:25.1234567+00:00"